#include <bits/stdc++.h>
using namespace std;
int main(){
    int n,k; cin >> n >> k;
    int p[n]; for(int i=0; i<n; i++) cin >> p[i];
    int s;
    int l=0; int r=n-1;
    for(int i=0; i<n; i++){
        if(k==p[i]){
            s=i;
            break;
        }
    }
    if(p[s]==p[n-1]) cout << p[0];
    else cout << p[s+1];
    return 0;
}